Loading...
Searching...
No Matches
jni::TypedMethods< jint > Struct Reference

`#include <typed_methods.hpp>`

## Static Public Attributes

static constexpr auto | CallMethod = &JNIEnv::CallIntMethod
static constexpr auto | CallNonvirtualMethod = &JNIEnv::CallNonvirtualIntMethod
static constexpr auto | GetField = &JNIEnv::GetIntField
static constexpr auto | SetField = &JNIEnv::SetIntField
static constexpr auto | CallStaticMethod = &JNIEnv::CallStaticIntMethod
static constexpr auto | GetStaticField = &JNIEnv::GetStaticIntField
static constexpr auto | SetStaticField = &JNIEnv::SetStaticIntField
static constexpr auto | NewArray = &JNIEnv::NewIntArray
static constexpr auto | GetArrayElements = &JNIEnv::GetIntArrayElements
static constexpr auto | ReleaseArrayElements = &JNIEnv::ReleaseIntArrayElements
static constexpr auto | GetArrayRegion = &JNIEnv::GetIntArrayRegion
static constexpr auto | SetArrayRegion = &JNIEnv::SetIntArrayRegion

## Member Data Documentation

## CallMethod

auto jni::TypedMethods< jint >::CallMethod = &JNIEnv::CallIntMethod

static constexpr

## CallNonvirtualMethod

auto jni::TypedMethods< jint >::CallNonvirtualMethod = &JNIEnv::CallNonvirtualIntMethod

static constexpr

## CallStaticMethod

auto jni::TypedMethods< jint >::CallStaticMethod = &JNIEnv::CallStaticIntMethod

static constexpr

## GetArrayElements

auto jni::TypedMethods< jint >::GetArrayElements = &JNIEnv::GetIntArrayElements

static constexpr

## GetArrayRegion

auto jni::TypedMethods< jint >::GetArrayRegion = &JNIEnv::GetIntArrayRegion

static constexpr

## GetField

auto jni::TypedMethods< jint >::GetField = &JNIEnv::GetIntField

static constexpr

## GetStaticField

auto jni::TypedMethods< jint >::GetStaticField = &JNIEnv::GetStaticIntField

static constexpr

## NewArray

auto jni::TypedMethods< jint >::NewArray = &JNIEnv::NewIntArray

static constexpr

## ReleaseArrayElements

auto jni::TypedMethods< jint >::ReleaseArrayElements = &JNIEnv::ReleaseIntArrayElements

static constexpr

## SetArrayRegion

auto jni::TypedMethods< jint >::SetArrayRegion = &JNIEnv::SetIntArrayRegion

static constexpr

## SetField

auto jni::TypedMethods< jint >::SetField = &JNIEnv::SetIntField

static constexpr

## SetStaticField

auto jni::TypedMethods< jint >::SetStaticField = &JNIEnv::SetStaticIntField

static constexpr

The documentation for this struct was generated from the following file:

- /build/lime-OjNHTX/lime-5.3.105+dfsg/src/jni/typed_methods.hpp